html, body {

	border-collapse: collapse;
	padding: 0; 
	margin: 0;
	font-family: Calibri, sans-serif;
	font-size: 18px;
	background-color: rgba(235, 235, 235, 0.8);
}

.typical-article div {
	
	margin-left: 20%;
	margin-right: 20%;
}

.article-title div {
	
}

.main-article div {
		
}

div.article-title {
	font-size: 30px;
	font-weight: bold;
}

div.article-subheader {
	font-size: 20px;
}

code {
  font-family: Consolas,"courier new";
  color: black;
  padding: 2px;
  font-size: 100%;
}

pre code {
  display: block; /* Ensures the code block takes up its own space */
  background-color: #f4f4f4; /* Light gray background */
  padding: 15px; 
  margin: 0px 0;
  font-family: monospace; /* Guarantees a fixed-width font */
  font-size: 14px;
  overflow-x: auto; /* Adds a horizontal scrollbar if needed */
  white-space: pre-wrap; /* Preserves whitespace and allows text wrapping if lines are very long */
}

.code-bg {
  background-color: lightgray; /* Style 2: background color */
  padding: 3px; /* Additional style for clarity */
}